package com.xiaqiuchu.api.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.xiaqiuchu.common.entity.Student;
import com.xiaqiuchu.api.service.StudentService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;



@RestController
@RequestMapping("/student")
public class StudentController {
    
    @Resource
    StudentService studentService;

    // 127.0.0.1:8081/student/findById?id=1
    @GetMapping("findById")
    public Student findById(@RequestParam(name = "id") Long id) {
        return studentService.findById(id);
    }
    
    
}
