package com.xiaqiuchu.api.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.xiaqiuchu.common.entity.Student;
import com.xiaqiuchu.common.entity.Teacher;
import com.xiaqiuchu.api.service.StudentService;
import com.xiaqiuchu.api.service.TeacherService;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;



@RestController
@RequestMapping("/teacher")
public class TeacherController {
    
    @Resource
    TeacherService teacherService;

    // 127.0.0.1:8081/teacher/findById?id=1
    @GetMapping("findById")
    public Teacher findById(@RequestParam(name = "id") Long id) {
        return teacherService.findById(id);
    }
    
    
}
