package com.xiaqiuchu.api.service;

import java.util.ArrayList;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.xiaqiuchu.common.entity.Teacher;
import com.xiaqiuchu.api.mapper.TeacherMapper;

@Service
public class TeacherService {
    @Resource
    TeacherMapper teacherMaper;



    public Teacher findById(Long id){
        Teacher teacher = teacherMaper.findById(id);
        return teacher;
    }

    public ArrayList<Teacher> selectAll(){
        return teacherMaper.selectAll();
    }
    
    public Teacher findTeacherAndTeamById(Long id){
        Teacher teacher = teacherMaper.findTeacherAndTeamById(id);
        return teacher;
    }

    public Integer updateNameById(Long id, String name){
        return teacherMaper.updateNameById(id, name);
    }
    
}
