package com.xiaqiuchu.api.service;

import java.util.ArrayList;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.xiaqiuchu.common.entity.Student;
import com.xiaqiuchu.api.mapper.StudentMapper;

@Service
public class StudentService {
    @Resource
    StudentMapper studentMaper;



    public Student findById(Long id){
        Student student = studentMaper.findById(id);
        return student;
    }

    public ArrayList<Student> selectAll(){
        return studentMaper.selectAll();
    }
    
    public Student findStudentAndTeamById(Long id){
        Student student = studentMaper.findStudentAndTeamById(id);
        return student;
    }

    public Integer updateNameById(Long id, String name){
        return studentMaper.updateNameById(id, name);
    }
    
}
