package com.xiaqiuchu.common.config.shiro;

import java.util.Map;

import org.springframework.stereotype.Component;

import cn.hutool.jwt.JWT;
import cn.hutool.jwt.JWTUtil;
import lombok.Data;

@Component
@Data
public class ShiroJwtUtil {

    private static final byte[] key = "换成你的密匙".getBytes();

    /*
     * 创建
     */
    public String createToken(Map<String, Object> payload){
        return JWTUtil.createToken(payload, ShiroJwtUtil.key);
    }


    /*
     * 解析
     */
    public JWT parseToken(String token){
        JWT jwt = JWTUtil.parseToken(token);
        return jwt;
    }


    /*
     * 验证
     */
    public Boolean verify(String token){
        return JWTUtil.verify(token, ShiroJwtUtil.key);
    }
}