package com.xiaqiuchu.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * https://blog.csdn.net/yuanchangliang/article/details/109579705 入口文件 SpringBootApplication 需要改为SpringCloudApplication
 * https://blog.csdn.net/qq_24585103/article/details/103126411 解决方案是引入spring-cloud-starter-netflix-hystrix依赖
 */
@SpringCloudApplication
public class DemoApplication {
    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
    }

}
